package com.ruoyi.ems.service.impl;

import com.ruoyi.ems.domain.AdmEmsIndexRange;
import com.ruoyi.ems.mapper.AdmEmsIndexRangeMapper;
import com.ruoyi.ems.service.IAdmEmsIndexRangeService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 能源指标范围Service业务层处理
 *
 * @author ruoyi
 * @date 2024-08-30
 */
@Service
public class AdmEmsIndexRangeServiceImpl implements IAdmEmsIndexRangeService {
    @Autowired
    private AdmEmsIndexRangeMapper indexRangeMapper;

    /**
     * 查询能源指标范围
     *
     * @param id 能源指标范围主键
     * @return 能源指标范围
     */
    @Override
    public AdmEmsIndexRange selectAdmEmsIndexRangeById(Long id) {
        return indexRangeMapper.selectAdmEmsIndexRangeById(id);
    }

    /**
     * 查询能源指标范围列表
     *
     * @param indexRange 能源指标范围
     * @return 能源指标范围
     */
    @Override
    public List<AdmEmsIndexRange> selectAdmEmsIndexRangeList(AdmEmsIndexRange indexRange) {
        return indexRangeMapper.selectAdmEmsIndexRangeList(indexRange);
    }

    /**
     * 新增能源指标范围
     *
     * @param indexRange 能源指标范围
     * @return 结果
     */
    @Override
    public int insertAdmEmsIndexRange(AdmEmsIndexRange indexRange) {
        return indexRangeMapper.insertAdmEmsIndexRange(indexRange);
    }

    /**
     * 修改能源指标范围
     *
     * @param indexRange 能源指标范围
     * @return 结果
     */
    @Override
    public int updateAdmEmsIndexRange(AdmEmsIndexRange indexRange) {
        return indexRangeMapper.updateAdmEmsIndexRange(indexRange);
    }

    /**
     * 批量删除能源指标范围
     *
     * @param ids 需要删除的能源指标范围主键
     * @return 结果
     */
    @Override
    public int deleteAdmEmsIndexRangeByIds(Long[] ids) {
        return indexRangeMapper.deleteAdmEmsIndexRangeByIds(ids);
    }

    /**
     * 删除能源指标范围信息
     *
     * @param id 能源指标范围主键
     * @return 结果
     */
    @Override
    public int deleteAdmEmsIndexRangeById(Long id) {
        return indexRangeMapper.deleteAdmEmsIndexRangeById(id);
    }
}
